{extend name="apps/common/view/admin.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{:lang("addon/attachment/admin/index")}－{:lang('appName')}</title>
{/block}
<!-- -->
{block name="main"}
<h6 class="border-bottom pb-2 mb-0 text-purple">
  {:lang("addon/attachment/admin/index")}
</h6>
<!-- -->
<form action="{:DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'index'])}" method="post" data-toggle="form">
<div class="form-row collapse" id="filter-row">
  {:DcFormFilter($fields)}
</div>
<div class="toolbar d-flex justify-content-between d-md-block" id="toolbar">
  <div class="btn-group btn-group-sm">
    <button type="button" class="btn btn-purple dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
       {:lang('action')}
    </button>
    <div class="dropdown-menu">
      <button class="dropdown-item px-3" type="submit" data-action="{:DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'status','value'=>'normal'])}" data-toggle="submit">
        <i class="fa fa-fw fa-eye"></i> {:lang('normal')}
      </button>
      <button class="dropdown-item px-3" type="submit" data-action="{:DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'status','value'=>'hidden'])}" data-toggle="submit">
        <i class="fa fa-fw fa-eye-slash"></i> {:lang('hidden')}
      </button>
      <button class="dropdown-item px-3" type="submit" data-action="{:DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'delete'])}" data-toggle="submit">
        <i class="fa fa-fw fa-trash"></i> {:lang('delete')}
      </button>
    </div>
  </div>
  <button class="btn btn-sm btn-danger dc-upload" type="button" data-toggle="upload" data-mime-types="*" data-max-size="{$Think.config.common.upload_max_size|default='5mb'}" data-url="{$path_upload}" data-multiple="true" data-on-success="uploadSuccess" data-on-error="uploadError" data-on-complete="uploadComplete">
    <i class="fa fa-upload"></i> {:lang('upload')}
  </button>
  <a class="btn btn-sm btn-secondary" href="#filter-row" data-toggle="collapse">
    <i class="fa fa-filter"></i> {:lang('filter')}
  </a>
  <a class="btn btn-sm btn-dark" href="javascript:;" data-toggle="refresh">
    <i class="fa fa-refresh"></i> {:lang('refresh')}
  </a>
</div>
{:DcBuildTable([
    'data-name'               => 'attachment/admin/index',
    'data-escape'             => false,
    'data-toggle'             => 'bootstrap-table',
    'data-unique-id'          => 'info_id',
    'data-id-field'           => 'info_id',
    'data-select-item-name'   => 'id[]',
    
    'data-url'                => DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'index']),
    'data-url-sort'           => '',
    'data-url-preview'        => DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'preview','id'=>'']),
    'data-url-edit'           => DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'edit','parent'=>'attachment','id'=>'']),
    'data-url-delete'         => DcUrlAddon(['module'=>'attachment','controll'=>'admin','action'=>'delete','id'=>'']),
    'data-query-params'       => 'daicuo.table.query',
    
    'data-toolbar'            => '.toolbar',
    'data-toolbar-align'      => 'none float-md-left',
    
    'data-search'             => true,
    'data-search-align'       => 'none float-md-right',
    'data-show-search-button' => true,
    
    'data-buttons-align'      => 'right',
    'data-buttons-prefix'     => 'btn',
    'data-buttons-class'      => 'purple',
    'data-icon-size'          => 'sm',
    
    'data-show-refresh'       => true,
    'data-show-toggle'        => true,
    'data-show-fullscreen'    => true,
    'data-show-columns'       => false,
    
    'data-pagination'         => true,
    'data-page-number'        => $page,
    'data-page-size'          => 20,
    'data-page-list'          => '[20, 50, 100]',
    'data-side-pagination'    => 'server',
    'data-total-field'        => 'total',
    'data-data-field'         => 'data',
    
    'data-sort-name'          => 'info_id',
    'data-sort-order'         => 'desc',
    'data-sort-class'         => 'table-active',
    'data-sort-stable'        => 'true',
    
    'columns'                 => $columns,
])}
</form>
{/block}
{block name="js"}
<script>
var uploadSuccess = function(uploader, file, responseObject){
    //
}
var uploadFail = function(uploader, data){
    daicuo.bootstrap.dialog(data.msg);
}
var uploadComplete = function(uploader, files){
    daicuo.bootstrap.dialog('{:lang("attachment_complete")}');
    setTimeout('location.reload()', 1000);
}
</script>
{/block}